/Users/bernard/b20/bsoft/include/Matrix3.h(3)

NAME
/Users/bernard/b20/bsoft/include/Matrix3.h - 3x3 Matrix manipulation functions

SYNOPSIS

#include 'Vector3.h'
#include 'Quaternion.h'
#include 'Matrix.h'

  Classes
class Matrix3

  Functions
template<typename Type > Matrix3 operator * (Vector3< Type > &v, Matrix3 &m)
ostream & operator<< (ostream &output, Matrix3 &m)
int matrix3_show_hp (Matrix3 &mat)
Print out a matrix.

Detailed Description

3x3 Matrix manipulation functions

Author:
    Bernard Heymann

Date:
    Created: 20000501

    Modified: 20190515

Definition in file Matrix3.h.

Function Documentation

  int matrix3_show_hp (Matrix3 & mat)

Print out a matrix.

Parameters:
    mat 3x3 matrix.

Returns:
    int 0.

    Matrix elements less than 1e-6 are set to zero for display.

Definition at line 31 of file Matrix3.cpp.

  template<typename Type > Matrix3 operator * (Vector3< Type > & v, Matrix3 & m) [inline]

Definition at line 332 of file Matrix3.h.

  ostream& operator<< (ostream & output, Matrix3 & m)

Definition at line 15 of file Matrix3.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.